// funciones.h: declaracion de las funciones de esta DLL
// ------------------------------------------------------------------

#if !defined(_MODDLL_EXP_FUNCIONES_)
#define _MODDLL_EXP_FUNCIONES_

// Para poder exportar objetos MFC sin problemas
#undef AFX_DATA
#define AFX_DATA AFX_EXT_DATA

// ------------------------------------------------------------------
// Cabecera de una imagen

typedef struct STCabecera
{
	WORD wX;
	WORD wY;
	WORD wC;
	WORD wB;
} StCabecera;


// ------------------------------------------------------------------
// Estructura para guardar los datos d elos blobs
typedef struct STBlob
{
	float fX;
	float fY;
	float fA;
} StBlob;

// ------------------------------------------------------------------
// Funciones exportadas
// Estn reflejadas en el archivo .DEF del proyecto en el mismo orden
// ------------------------------------------------------------------

// Ejecuta las funciones de este mdulo
// iFunc		-> Funcion a realizar (0, 1, 2...)
// iNumCtr		-> Numero de controles o datos de configuracion
// iNumEnt		-> Numero de entradas
// iNumSal		-> Numero de salidas
// strTemp		-> Directorio donde estan las imagenes de entrada o salida
// pStrDatos	-> Array con los datos de configuracion, todos como cadenas de texto
// pStrImgEntr	-> Array con los nombres de las imagenes de entrada
// pStrImgSal	-> Array con los nombres de las imagenes de salida

int Ejecutar(int iFunc, int iNumCtr, int iNumEnt, int iNumSal, CString& strTemp, 
				CString* pStrDatos, CString* pStrImgEntr, CString* pStrImgSal);


// ------------------------------------------------------------------
// Funciones Privadas
// ------------------------------------------------------------------

// Leer imagen de entrada
BYTE* LeeImagenEntrada(CString& strNombre, StCabecera* pCab, WORD wByPP);

// Escribir imagen etiquetada se salida
int EscribeSalida(CString& strSalida, StCabecera* pCab, BYTE* pImgSal);

// ------------------------------------------------------------------

#undef AFX_DATA
#define AFX_DATA

#endif // _MODDLL_EXP_FUNCIONES_
